Update Passkey configuration

Creates or updates the Passkey configuration settings for the Tenant.

PUT
/v2/manage/passkey

Creates or updates the Passkey configuration settings for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/passkey" \  -H "Content-Type: application/json" \  -d '{    "IsEnabled": true,    "PasskeySelection": "Both",    "LocalEnrollment": true,    "RPDisplayName": "Acme Corporation",    "RPID": "acme.com",    "RPOrigins": [      "https://login.acme.com",      "https://auth.acme.com"    ]  }'
{
  "IsEnabled": true,
  "PasskeySelection": "Both",
  "ProgressiveEnrollment": true,
  "ProgressiveEnrollmentDelay": 5,
  "LocalEnrollment": true,
  "RPDisplayName": "Acme Corporation",
  "RPID": "acme.com",
  "RPOrigins": [
    "https://login.acme.com",
    "https://auth.acme.com"
  ],
  "Attestation": "indirect"
}

{
  "Message": "A parameter is not formatted correctly.",
  "Description": "The parameter is not formatted correctly, please check all the parameters in the API call",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}